
public class PrimeNumbers {

	public static void main(String[] args) {
		int[] primes = new int[50];
		primes[0] = 2;
		primes[1] = 3;
		
		for ( int i = 2 ; i < primes.length ; i++ ) {
			int candidate = primes[i-1] + 1;
			boolean prime = false;
			
			while (!prime) {
				prime = true;
				double squareRoot = Math.sqrt(candidate);
				
				for ( int j = 0 ; primes[j] <= squareRoot ; j++ ) {
					int n = primes[j];
					if ((candidate % n) == 0) {
						prime = false;
						break;
					}
				}
				
				if (!prime) {
					candidate++;
				}
			}
			
			primes[i] = candidate;
		}
		
		
		for ( int i = 0 ; i < primes.length ; i++ ) {
			System.out.print(primes[i] + " ");
		}
		System.out.println();

	}

}
